{
  "easycom": {
    "autoscan": true,
    "custom": {
      "^uv-(.*)": "@climblee/uv-ui/components/uv-$1/uv-$1.vue",
      "^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue"
    }
  },
  "pages": [
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
    {
      "path": "pages/index/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/statistics/index",
      "style": {
        "navigationBarTitleText": "数据统计",
        "navigationBarBackgroundColor": "#fff",
        "onReachBottomDistance": 200
      }
    },
    {
      "path": "pages/news/index",
      "style": {
        "navigationBarTitleText": "资讯",

        "navigationBarBackgroundColor": "#fff",
        "onReachBottomDistance": 200
      }
    },
    {
      "path": "pages/news-detail/index",
      "style": {
        "navigationBarTitleText": "宣传推广",
        "navigationBarBackgroundColor": "#fff",
        "onReachBottomDistance": 200
      }
    },
    {
      "path": "pages/mine/index",
      "style": {
        "navigationBarTitleText": "我的",
        "navigationBarBackgroundColor": "#f9f9f9"
      }
    },
    {
      "path": "pages/login/index",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/login/password",
      "style": {
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/task/task-detail/index",
      "style": {
        "navigationBarTitleText": "任务详情",
        "navigationBarBackgroundColor": "#fff"
      }
    },
    {
      "path": "mp_ecard_sdk/index/index",
      "style": {
        "navigationBarTitleText": "腾讯云E证通授权"
      }
    },
    {
      "path": "mp_ecard_sdk/protocol/eid/eid",
      "style": {
        "navigationBarTitleText": "eID数字身份⼩程序服务协议",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "mp_ecard_sdk/protocol/privacy/privacy",
      "style": {
        "navigationBarTitleText": "腾讯隐私政策",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "mp_ecard_sdk/protocol/service/service",
      "style": {
        "navigationBarTitleText": "腾讯云E证通服务协议",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "mp_ecard_sdk/protocol/userAccredit/userAccredit",
      "style": {
        "navigationBarTitleText": "⽤户授权协议",
        "enablePullDownRefresh": false
      }
    }
  ],
  // 分包内容
  "subPackages": [
    {
      "root": "pages-sub-packages",
      "pages": [
        {
          "path": "get-task/index",
          "style": {
            "navigationBarTitleText": "领取任务包",
            "navigationBarBackgroundColor": "#fff",
            "onReachBottomDistance": 200
          }
        },
        {
          "path": "get-task/detail",
          "style": {
            "navigationBarTitleText": "执行包详情"
          }
        },
        {
          "path": "task-history/index",
          "style": {
            "navigationBarTitleText": "我的执行包记录",
            "navigationBarBackgroundColor": "#fff",
            "onReachBottomDistance": 200
          }
        },
        {
          "path": "task-list/index",
          "style": {
            "navigationBarTitleText": "任务列表",
            "navigationBarBackgroundColor": "#fff",
            "onReachBottomDistance": 200
          }
        },
        {
          "path": "agreement/platformUsers",
          "style": {
            "navigationBarTitleText": "平台用户协议"
          }
        },
        {
          "path": "agreement/privacyPolicy",
          "style": {
            "navigationBarTitleText": "隐私权政策"
          }
        },
        {
          "path": "agreement/personalInfoAuth",
          "style": {
            "navigationBarTitleText": "个人信息使用授权书"
          }
        },
        {
          "path": "agreement/taxhelper",
          "style": {
            "navigationBarTitleText": "共享经济个体合作协议"
          }
        },
        {
          "path": "agreement/olading",
          "style": {
            "navigationBarTitleText": "共享经济综合服务协议"
          }
        },
        {
          "path": "agreement/jinyuan",
          "style": {
            "navigationBarTitleText": "共享经济综合服务协议"
          }
        },
        {
          "path": "agreement/xintaizi",
          "style": {
            "navigationBarTitleText": "共享经济综合服务协议"
          }
        },
        {
          "path": "agreement/zhengqizhixing",
          "style": {
            "navigationBarTitleText": "灵活用工服务合作协议"
          }
        },
        {
          "path": "agreement/huiqiyun",
          "style": {
            "navigationBarTitleText": "自由职业者合作协议"
          }
        }
      ]
    },
    {
      // 个人中心
      "root": "pages-sub-mine",
      "pages": [
        {
          "path": "auth/index",
          "style": {
            "navigationBarTitleText": "认证服务",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "user-info/index",
          "style": {
            "navigationBarTitleText": "个人名片",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "integral-rules/index",
          "style": {
            "navigationBarTitleText": "执行规则",
            "navigationBarTextStyle": "white",
            "navigationBarBackgroundColor": "#258AFF"
          }
        },
        {
          "path": "task-completion-records/index",
          "style": {
            "navigationBarTitleText": "任务完成记录",
            "navigationBarBackgroundColor": "#fff",
            "onReachBottomDistance": 200
          }
        },
        {
          "path": "agreement/index",
          "style": {
            "navigationBarTitleText": "政策协议",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "feedback/index",
          "style": {
            "navigationBarTitleText": "意见反馈",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "quiz/index",
          "style": {
            "navigationBarTitleText": "合规评测",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "quizDetail/index",
          "style": {
            "navigationBarTitleText": "合规评测",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "bind-card/index",
          "style": {
            "navigationBarTitleText": "绑定银行卡",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "changePassword/index",
          "style": {
            "navigationBarTitleText": "修改密码",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "forgotPassword/index",
          "style": {
            "navigationBarTitleText": "修改密码",
            "navigationBarBackgroundColor": "#fff"
          }
        }
      ]
    },
    {
      // 任务
      "root": "pages-sub-task",
      "pages": [
        {
          "path": "task/index",
          "style": {
            "navigationBarTitleText": "任务",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "location/index",
          "style": {
            "navigationBarTitleText": "学术拜访服务",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "sign/index",
          "style": {
            "navigationBarTitleText": "学术拜访服务",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "market-research/index",
          "style": {
            "navigationBarTitleText": "市场信息服务",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "conference-training/index",
          "style": {
            "navigationBarTitleText": "学术会议服务",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "common-serve/index",
          "style": {
            "navigationBarTitleText": "专项服务",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "location-select/index",
          "style": {
            "navigationBarTitleText": "我的位置",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "location-select/index2",
          "style": {
            "navigationBarTitleText": "我的位置",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "investigate-varieties/index",
          "style": {
            "navigationBarTitleText": "选择调查对象",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "hospital-drugstore-company/index",
          "style": {
            "navigationBarTitleText": "选择调查对象",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "pharmacy-select/index",
          "style": {
            "navigationBarTitleText": "",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "single-select/index",
          "style": {
            "navigationBarTitleText": "",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "signature/index",
          "style": {
            "navigationBarTitleText": "签名",
            "navigationBarBackgroundColor": "#fff"
          }
        }
      ]
    },
    // 管理员
    {
      // 任务
      "root": "pages-sub-admin",
      "pages": [
        {
          "path": "managementByObjectives/index",
          "style": {
            "navigationBarTitleText": "目标管理",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "serviceManagement/index",
          "style": {
            "navigationBarTitleText": "服务管理",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "objectivesList/index",
          "style": {
            "navigationBarTitleText": "服务目标下发",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "objectivesDetailList/index",
          "style": {
            "navigationBarTitleText": "服务目标分发",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "objectivesAdd/index",
          "style": {
            "navigationBarTitleText": "新增",
            "navigationBarBackgroundColor": "#fff"
          }
        }
      ]
    },
    // 服务管理
    {
      // 任务
      "root": "pages-sub-service-mangement",
      "pages": [
        {
          "path": "serviceDelivery/index",
          "style": {
            "navigationBarTitleText": "服务下发",
            "navigationBarBackgroundColor": "#fff",
            "onReachBottomDistance": 200
          }
        },
        {
          "path": "serviceDeliveryAdd/index",
          "style": {
            "navigationBarTitleText": "新增",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "stopServiceDelivery/index",
          "style": {
            "navigationBarTitleText": "终止",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "assignPoints/index",
          "style": {
            "navigationBarTitleText": "服务下发-自营",
            "navigationBarBackgroundColor": "#fff",
            "onReachBottomDistance": 200
          }
        },
        {
          "path": "assignPointsAdd/index",
          "style": {
            "navigationBarTitleText": "服务下发-新增",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "assignPointsAdd/detail",
          "style": {
            "navigationBarTitleText": "服务下发-详情",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "taskAudit/index",
          "style": {
            "navigationBarTitleText": "任务审核",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "quickAudit/index",
          "style": {
            "navigationBarTitleText": "批量审核",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "quickAuditCard/index",
          "style": {
            "navigationBarTitleText": "快捷审核",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "taskAuditDetail/index",
          "style": {
            "navigationBarTitleText": "任务审核详情",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "taskManagement/index",
          "style": {
            "navigationBarTitleText": "服务承接",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "generateReport/index",
          "style": {
            "navigationBarTitleText": "生成报告",
            "navigationBarBackgroundColor": "#fff"
          }
        },
        {
          "path": "taskReportapproval/index",
          "style": {
            "navigationBarTitleText": "服务审核",
            "navigationBarBackgroundColor": "#fff"
          }
        }
      ]
    }
  ],
  "globalStyle": {
    "navigationBarTitleText": "营销行为信息化管控系统",
    "navigationBarBackgroundColor": "#fff",
    "navigationBarTextStyle": "black",
    "backgroundColor": "#fff",
    "backgroundColorTop": "#fff",
    "backgroundColorBottom": "#fff"
  },
  "tabBar": {
    // "height": "0px",
    "list": [
      {
        "pagePath": "pages/index/index"
        // "iconPath": "static/images/common/tabbar/work.png",
        // "selectedIconPath": "static/images/common/tabbar/workAct.png",
        // "text": "工作台"
      },
      {
        "pagePath": "pages/news/index"
        // "iconPath": "static/images/common/tabbar/news.png",
        // "selectedIconPath": "static/images/common/tabbar/newsAct.png",
        // "text": "资讯"
      },
      {
        "pagePath": "pages/mine/index"
        // "iconPath": "static/images/common/tabbar/mine.png",
        // "selectedIconPath": "static/images/common/tabbar/mineAct.png",
        // "text": "我的"
      }
    ]
  }
}
